Subject: bug#1800: 23.0.60; Changed meaning of * in buffer name completion

From: Stefan Monnier <[email-masked]>
Date: Tue, 06 Jan 2009 17:14:10 -0500

> Trying to switch to a killed buffer that had `*' at the beginning
> of its name (e.g. *grep*) typing `* g TAB' displays a large list
> of irrelevant buffer names.
[...]
>   [No match, type TAB again for * as a wildcard]

Here's another option: only treat * as a wildcard if it doesn't match
anything existing.  I.e. if you have buffers that start with "*", then
"*g" will not treat the * as a wildcard.  To force the use of
a wildcard, we could let the user type "**g".

        Stefan